package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 仓房信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskCaxxRespVO {

    @Schema(description = "仓房名称")
    private String cfmc;

    @Schema(description = "仓房类型")
    private String cflx;

    @Schema(description = "仓廒状态")
    private String cazt;

    @Schema(description = "设计仓容")
    private BigDecimal sjcr;

    @Schema(description = "设计使用年限")
    private String sjsynx;
}