package com.unis.module.coding.dal.mysql.dk;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unis.framework.mybatis.core.mapper.BaseMapperX;
import com.unis.module.coding.controller.admin.task.vo.TaskPageReqVO;
import com.unis.module.coding.controller.admin.task.vo.TaskRespVO;
import com.unis.module.coding.dal.dataobject.dk.DkDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 打卡信息 Mapper
 *
 * @author 超级管理员
 */
@Mapper
public interface DkMapper extends BaseMapperX<DkDO> {

    IPage<TaskRespVO> getTaskList(IPage<TaskRespVO> page, @Param("pageReqVO") TaskPageReqVO pageReqVO);

    default DkDO selectByKqIdAndUserId(Long kqId, Long loginUserId){
        return selectOne("kqId", kqId, "userId", loginUserId);
    }
}